package de.humance.eco.profile.model.impl;

import com.liferay.portal.kernel.exception.SystemException;

import de.humance.eco.profile.model.QualificationAttribute;
import de.humance.eco.profile.service.QualificationAttributeLocalServiceUtil;

/**
 * The extended model base implementation for the QualificationAttribute service. Represents a row in the &quot;Profile_QualificationAttribute&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This class exists only as a container for the default extended model level methods generated by ServiceBuilder. Helper methods and all application logic should be put in {@link QualificationAttributeImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationAttributeImpl
 * @see de.humance.eco.profile.model.QualificationAttribute
 * @generated
 */
public abstract class QualificationAttributeBaseImpl
    extends QualificationAttributeModelImpl implements QualificationAttribute {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this class directly. All methods that expect a qualification attribute model instance should use the {@link QualificationAttribute} interface instead.
     */
    @Override
    public void persist() throws SystemException {
        if (this.isNew()) {
            QualificationAttributeLocalServiceUtil.addQualificationAttribute(this);
        } else {
            QualificationAttributeLocalServiceUtil.updateQualificationAttribute(this);
        }
    }
}
